# Uses of Class
javax.swing.plaf.ColorChooserUI

Packages that use ColorChooserUI
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

## Uses of ColorChooserUI in javax.swing

Methods in javax.swing that return ColorChooserUI
Modifier and Type
Method
Description
`ColorChooserUI`
JColorChooser.`getUI()`
Returns the L&F object that renders this component.
Methods in javax.swing with parameters of type ColorChooserUI
Modifier and Type
Method
Description
`void`
JColorChooser.`setUI(ColorChooserUI ui)`
Sets the L&F object that renders this component.

## Uses of ColorChooserUI in javax.swing.plaf.basic

Subclasses of ColorChooserUI in javax.swing.plaf.basic
Modifier and Type
Class
Description
`class`
`BasicColorChooserUI`
Provides the basic look and feel for a JColorChooser.

## Uses of ColorChooserUI in javax.swing.plaf.multi

Subclasses of ColorChooserUI in javax.swing.plaf.multi
Modifier and Type
Class
Description
`class`
`MultiColorChooserUI`
A multiplexing UI used to combine `ColorChooserUI`s.

## Uses of ColorChooserUI in javax.swing.plaf.synth

Subclasses of ColorChooserUI in javax.swing.plaf.synth
Modifier and Type
Class
Description
`class`
`SynthColorChooserUI`
Provides the Synth L&F UI delegate for `JColorChooser`.